Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  
  Linienfarbe mehrerer Zellen einer Tabelle ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Linienfarbe mehrerer Zellen einer Tabelle ändern (89 mal gelesen)
tolo
Mitglied
Konstrukteur


Sehen Sie sich das Profil von tolo an!   Senden Sie eine Private Message an tolo  Schreiben Sie einen Gästebucheintrag für tolo

Beiträge: 86
Registriert: 11.04.2007

NX 11.0

erstellt am: 05. Okt. 2017 18:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich möchte die Linienfarbe einiger Zellen in einer Tabelle (Plist) ändern.
Mit theCellPrefs.bottom_line_cfw(0) bzw. theCellPrefs.right_line_cfw(0) klappt das auch gut,
aber wie kann ich die obere bzw. äußerst linke Linie auch ändern?

Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sirus
Ehrenmitglied
Administrator CAx / PDM (früher Konstrukteur)


Sehen Sie sich das Profil von Sirus an!   Senden Sie eine Private Message an Sirus  Schreiben Sie einen Gästebucheintrag für Sirus

Beiträge: 1543
Registriert: 03.06.2004

erstellt am: 06. Okt. 2017 12:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tolo 10 Unities + Antwort hilfreich

...ich habe das wie folgt (schnipsel) gemacht mit:

Dim tabular_note_sl As NXOpen.Tag
Dim zeile_count As Integer
Dim rowTag_sl As NXOpen.Tag = NXOpen.Tag.Null ' zeile

' eigenschaften (stil) defineiren für stil der tabelle für rand aussen
Dim cfw(2) As Integer ' Color/font/width
cfw(0) = 178
cfw(1) = 1
cfw(2) = 3

ufs.Tabnot.AskNthRow(tabular_note_sl, zeile_count, rowTag_sl)

' links
ufs.TABNOT.SetRowHeadCfw(rowTag_sl, cfw)

Dim colTag_sl As NXOpen.Tag = NXOpen.Tag.Null ' spalte
Dim tableSection_sl As NXOpen.Tag

' oben
ufs.TABNOT.SetColumnHeadCfw(colTag_sl, tableSection_sl, cfw)

------------------
gruss urs 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tolo
Mitglied
Konstrukteur


Sehen Sie sich das Profil von tolo an!   Senden Sie eine Private Message an tolo  Schreiben Sie einen Gästebucheintrag für tolo

Beiträge: 86
Registriert: 11.04.2007

NX 11.0

erstellt am: 06. Okt. 2017 15:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Urs,

vielen Dank, das hat mir auf alle Fälle schon mal weiter geholfen.

Allerdings habe ich nach wie vor das Problem z.B. von einer Zelle in der 3. Reihe und 4. Spalte die obere bzw. linke Linie zu formatieren.

Ich habe mir damit beholfen, auch die darüber liegende bzw. linke Nachbarzelle auch zu formatieren. Sicher nicht die eleganteste Lösung, habe aber nichts besseres gefunden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de